OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Variables
depot_base.h File Reference

Base for all depots (except hangars) More...

`#include "depot_map.h"`
`#include "core/pool_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | Depot

## Macros
#define | FOR_ALL_DEPOTS_FROM(var, start) FOR_ALL_ITEMS_FROM(Depot, depot_index, var, start)
#define | FOR_ALL_DEPOTS(var) FOR_ALL_DEPOTS_FROM(var, 0)

## Typedefs
typedef Pool< Depot, DepotID, 64, 64000 > | DepotPool

## Variables
DepotPool | _depot_pool
| All our depots tucked away in a pool.

## Detailed Description

Base for all depots (except hangars)

Definition in file depot_base.h.

## Variable Documentation

DepotPool _depot_pool

All our depots tucked away in a pool.